Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer
Class HttpSessionTemporaryDataStorage

    java.lang.Object
      be.fedict.eid.applet.service.signer.HttpSessionTemporaryDataStorage

All Implemented Interfaces:
  TemporaryDataStorage

    public class HttpSessionTemporaryDataStorage

extends Object
implements TemporaryDataStorage

Implementation of a temporary data storage using the HTTP session as temporary repository.

Author:
  Frank Cornelis

Field Summary
`static String` | `TEMP_ATTRIBUTES_ATTRIBUTE`
`static String` | `TEMP_OUTPUT_STREAM_ATTRIBUTE`

Constructor Summary
`HttpSessionTemporaryDataStorage()`

Method Summary
`Serializable` | `getAttribute(String attributeName)` Retrieves an attribute from the temporary data storage.
`static HttpSession` | `getHttpSession()` Gives back the current HTTP session using JACC.
`InputStream` | `getTempInputStream()` Gives back the temporary input stream for retrieval of the previously stored data.
`OutputStream` | `getTempOutputStream()` Gives back the temporary output stream that can be used for data storage.
`void` | `setAttribute(String attributeName, Serializable attributeValue)` Stores an attribute to the temporary data storage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMP_OUTPUT_STREAM_ATTRIBUTE

    public static final String TEMP_OUTPUT_STREAM_ATTRIBUTE

### TEMP_ATTRIBUTES_ATTRIBUTE

    public static final String TEMP_ATTRIBUTES_ATTRIBUTE

Constructor Detail

### HttpSessionTemporaryDataStorage

    public HttpSessionTemporaryDataStorage()

Method Detail

### getTempInputStream

    public InputStream getTempInputStream()

  Description copied from interface: `TemporaryDataStorage`
  Gives back the temporary input stream for retrieval of the previously stored data.

  Specified by:
    `getTempInputStream` in interface `TemporaryDataStorage`
  Returns:

### getTempOutputStream

    public OutputStream getTempOutputStream()

  Description copied from interface: `TemporaryDataStorage`
  Gives back the temporary output stream that can be used for data storage.

  Specified by:
    `getTempOutputStream` in interface `TemporaryDataStorage`
  Returns:

### getHttpSession

    public static HttpSession getHttpSession()

  Gives back the current HTTP session using JACC.

  Returns:

### getAttribute

    public Serializable getAttribute(String attributeName)

  Description copied from interface: `TemporaryDataStorage`
  Retrieves an attribute from the temporary data storage.

  Specified by:
    `getAttribute` in interface `TemporaryDataStorage`
  Returns:

### setAttribute

    public void setAttribute(String attributeName,
                             Serializable attributeValue)

  Description copied from interface: `TemporaryDataStorage`
  Stores an attribute to the temporary data storage.

  Specified by:
    `setAttribute` in interface `TemporaryDataStorage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 FedICT. All Rights Reserved.